Skip to main content

Retrieve Issuer

POST 

/source/issuer

Look up the issuing bank and card metadata (issuer name, country, card type and category) for a card or device-payment source — without creating a payment. Useful for surfacing issuer details (e.g. mada vs. credit) before charging the customer.

Request

Body

required

    source

    object

    required

    Simplified payment source object for which to retrieve the issuer.

    oneOf

    type string

    Possible values: [creditcard]

    number PanNumber (string)

    Possible values: Value must match regular expression ^\d{16,19}$

    The card number as a string without any separators.

Responses

Successful operation

Schema

    issuer_name stringrequired

    Name of the card issuing bank. This name is inferred based on the card BIN or IIN.

    issuer_country stringrequired

    Origin country of the card issuer. A two-letter ISO 3166 code.

    issuer_card_type IssuerCardType (string)required

    Possible values: [debit, credit, charge_card, unspecified]

    issuer_card_category IssuerCardCategory (string)required

    Indicates the card category or product type, e.g., Platinum, Signature, etc.

    This field is a human readable text and does not have a defined set of values.

    company Company (string)

    Possible values: [mada, visa, master, amex, unionpay]

    The scheme through which the payment is processed.

    first_digits string

    The first 6 to 8 digits of the card to clarify the card BIN number

    last_digits string

    The last 4 digits of the card if you supply the full card number

Loading...